package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ContractChangeE2Collection extends AbstractObjectCollection 
{
    public ContractChangeE2Collection()
    {
        super(ContractChangeE2Info.class);
    }
    public boolean add(ContractChangeE2Info item)
    {
        return addObject(item);
    }
    public boolean addCollection(ContractChangeE2Collection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ContractChangeE2Info item)
    {
        return removeObject(item);
    }
    public ContractChangeE2Info get(int index)
    {
        return(ContractChangeE2Info)getObject(index);
    }
    public ContractChangeE2Info get(Object key)
    {
        return(ContractChangeE2Info)getObject(key);
    }
    public void set(int index, ContractChangeE2Info item)
    {
        setObject(index, item);
    }
    public boolean contains(ContractChangeE2Info item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ContractChangeE2Info item)
    {
        return super.indexOf(item);
    }
}